

function cargaPosiciones(){
    storePosiciones = new Ext.data.JsonStore({
        proxy: new Ext.data.HttpProxy({
            url: 'servicios/jsonPosiciones.php'
        }),
        baseParams:{idUsuario: idUsuario},
	    storeId: 'storePosiciones',
	    root: 'posiciones',
	    idProperty: 'placa',
	    restful: true,
	    listeners: {
            load: function(){
                idVehiculo = storePosiciones.getAt(0).data.id_vehiculo;
                placa =  storePosiciones.getAt(0).data.placa;
                lon = storePosiciones.getAt(0).data.longitud;
                lat = storePosiciones.getAt(0).data.latitud;
                cargaMarkers();
            }
        },    
	    fields: ['id_vehiculo', 'placa', 'fecha_gps', 'posicion',  'direccion', 'velocidad', 'longitud', 'latitud', 'nro_min']
    });
    storePosiciones.load();
}

function creaGridPosiciones(){
    gridPosiciones = new Ext.grid.GridPanel({
    	store: storePosiciones,
    	id: 'gridPosiciones',
    	stripeRows: true,
        //title: 'Posiciones Moviles ',
        //height: 300,
        columns: [
            /*{xtype: 'actioncolumn',width: 50,items: [{
				icon: 'imagenes/encendido.jpg',
				toolTip: 'Encendido',
				handler: function(grid, rowIndex, colIndex){
                    var r = storePosiciones.getAt(rowIndex);
                    confirmaEncendido();
                }
            }]},
            {xtype: 'actioncolumn',width: 50,items: [{
				icon: 'imagenes/apagado.jpg',
				toolTip: 'Apagado',
				handler: function(grid, rowIndex, colIndex){
                    var r = storePosiciones.getAt(rowIndex);
                    confirmaApagado();
                }
			}]},*/
            {header: 'Placa',width: 60,sortable: true,dataIndex: 'placa'}, 
            {header: 'Fecha',width: 90,sortable: true,dataIndex: 'fecha_gps'},
            {header: 'Posicion',width: 245,sortable: false,dataIndex: 'posicion'}, 
            {header: 'Dir',width: 25,sortable: false,dataIndex: 'direccion'},
            {header: 'Lat.',width: 35,sortable: false,dataIndex: 'latitud'},
            {header: 'Lon.',width: 35,sortable: false,dataIndex: 'longitud'},
            
            
        ],
        viewConfig: {
            forceFit: true,
        },
        sm: new Ext.grid.RowSelectionModel({singleSelect:true}),
    });
}

function confirmaApagado(){
    r = gridPosiciones.getSelectionModel().getSelected();
    Ext.Msg.show({
        title: "Confirma",
        msg: "Esta a punto de APAGAR el vehiculo de placa "+r.data.placa+"  esta seguro de proceder?",
        buttons: Ext.Msg.YESNOCANCEL,
        icon: Ext.MessageBox.QUESTION,
        fn: apagado

    })
}
function apagado(btn){
    r = gridPosiciones.getSelectionModel().getSelected();
    if(btn == 'yes'){
        Ext.Ajax.request({
            method: 'POST',
            params: {
                placa: r.data.placa,
                idUsuario: idUsuario
            },
            url: 'servicios/insertaApagado.php',
            success: function() {
                Ext.Msg.alert('Apagado', 'Insertado apagado para la placa: '+r.data.placa);
            },
            failure: function() {
                Ext.Msg.alert('error', 'No Inserto Apagado');
            }
        });
    }
}
function confirmaEncendido(){
    r = gridPosiciones.getSelectionModel().getSelected();
    Ext.Msg.show({
        title: "Confirma",
        msg: "Esta a punto de ENCENDER el vehiculo de placa "+r.data.placa+"  esta seguro de proceder?",
        buttons: Ext.Msg.YESNOCANCEL,
        icon: Ext.MessageBox.QUESTION,
        fn: encendido

    })
}
function encendido(btn){
    r = gridPosiciones.getSelectionModel().getSelected();
    if(btn == 'yes'){
        Ext.Ajax.request({
            method: 'POST',
            params: {
                placa: r.data.placa,
                idUsuario: idUsuario
            },
            url: 'servicios/insertaEncendido.php',
            success: function() {
                Ext.Msg.alert('Encendido', 'Insertado encendido para la placa: '+r.data.placa);
            },
            failure: function() {
                Ext.Msg.alert('error', 'No Inserto Encendido');
            }
        });
    } 
}
